{{- if .Values.image.pullSecret }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.image.pullSecret.secretName }}
data:
  .dockerconfigjson: {{tpl (.Files.Get "files/dockerauth.json") . | b64enc | quote}}
type: kubernetes.io/dockerconfigjson
{{- end }}
